For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • GETAdvanced search for Assets
      • POSTAdvanced search for Assets
      • POSTBulk copy assets
      • DELBulk delete assets
      • POSTCopy asset
      • POSTCreate an Asset
      • DELDelete an Asset
      • GETFetch child Assets
      • GETGet an Asset
      • GETGet audio for an Asset
      • GETGet the subtitles for an Asset
      • POSTMove asset
      • POSTRequest upload URLs for real-time upload
      • GETSearch for Assets
      • POSTSearch for Assets
      • DELUnversion an Asset
      • PUTUpdate an Asset
      • POSTVersion an Asset

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceAssets

Search for Assets

POST
https://api.frame.io/v2/search/assets
POST
/v2/search/assets
1import requests
2
3url = "https://api.frame.io/v2/search/assets"
4
5payload = {}
6headers = {
7 "Authorization": "Bearer <token>",
8 "Content-Type": "application/json"
9}
10
11response = requests.post(url, json=payload, headers=headers)
12
13print(response.json())
1[
2 {
3 "account_id": "a3f1c9e2-4b7d-4f8a-9c2e-1d2f3b4a5c6d",
4 "archive_from": "2024-01-15T09:30:00Z",
5 "archive_scheduled_at": "2024-01-15T09:30:00Z",
6 "archive_status": "pending",
7 "archived_at": "2024-01-15T09:30:00Z",
8 "asset_type": "document",
9 "bundle": true,
10 "bundle_view": "detailed",
11 "cover_asset_id": "b7e2d3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
12 "creator": {
13 "digest_frequency": "weekly",
14 "image_32": "https://cdn.frame.io/images/users/32/user123.png",
15 "image_128": "https://cdn.frame.io/images/users/128/user123.png",
16 "from_google": true,
17 "mfa_enforced_at": "2023-11-01T08:00:00Z",
18 "email": "jane.doe@example.com",
19 "name": "Jane Doe",
20 "image_64": "https://cdn.frame.io/images/users/64/user123.png",
21 "timezone_value": "America/New_York",
22 "account_id": "a3f1c9e2-4b7d-4f8a-9c2e-1d2f3b4a5c6d",
23 "updated_at": "2024-04-10T12:00:00Z",
24 "image_256": "https://cdn.frame.io/images/users/256/user123.png",
25 "_type": "user",
26 "user_hash": "abc123def456ghi789",
27 "upload_url": "https://upload.frame.io/user123",
28 "profile_image": "https://cdn.frame.io/images/users/profile/user123.png",
29 "first_login_at": "2022-05-15T09:00:00Z",
30 "joined_via": "email_invite",
31 "id": "user-1234abcd-5678-efgh-9012-ijklmnopqrst",
32 "next_digest_date": "2024-04-17T08:00:00Z",
33 "last_seen": "2024-04-12T15:30:00Z",
34 "inserted_at": "2022-05-15T09:00:00Z",
35 "from_adobe": true,
36 "avatar_color": "#4A90E2",
37 "highest_account_role": "admin",
38 "integrations": [
39 "slack",
40 "dropbox"
41 ],
42 "roles": {
43 "admin": true,
44 "id": "role-5678abcd-1234-efgh-9012-ijklmnopqrst",
45 "sales": false,
46 "support": true,
47 "service_desk": false
48 },
49 "user_default_color": "#FF5733"
50 },
51 "frames": 2400,
52 "hard_deleted_at": "2024-02-14T09:30:00Z",
53 "id": "asset-1234abcd-5678-efgh-9012-ijklmnopqrst",
54 "index": 12.5,
55 "is_bundle_child": false,
56 "is_hls_required": true,
57 "is_session_watermarked": false,
58 "item_count": 15,
59 "label": "approved",
60 "metadata": {},
61 "metadata_flags": {
62 "id": "meta-7890abcd-1234-efgh-5678-ijklmnopqrst",
63 "is_360": false,
64 "is_hdr": true,
65 "is_original_player_compatible": true
66 },
67 "name": "Project_Proposal_Document.pdf",
68 "original": "https://cdn.frame.io/assets/originals/asset-1234abcd-5678-efgh-9012-ijklmnopqrst.pdf",
69 "parent_asset_id": "folder-2345bcde-6789-fghi-0123-jklmnopqrstuv",
70 "project_id": "project-3456cdef-7890-ghij-1234-klmnopqrstuvwx",
71 "properties": {
72 "": "Confidential"
73 },
74 "required_transcodes": {
75 "cover": true,
76 "finalized": [
77 "thumb",
78 "image_full",
79 "h264_1080_best"
80 ],
81 "h264_1080_best": true,
82 "h264_2160": false,
83 "h264_360": true,
84 "h264_540": false,
85 "h264_720": true,
86 "image_full": true,
87 "image_high": true,
88 "page_proxy": true,
89 "thumb": true,
90 "thumb_540": false,
91 "thumb_orig_ar_540": false,
92 "thumb_scrub": true
93 },
94 "team_id": "team-4567def0-1234-ghij-5678-klmnopqrstuvwx",
95 "user_permissions": {
96 "can_download": true,
97 "can_modify_template": false,
98 "can_public_share_presentation": true,
99 "can_public_share_review_link": true,
100 "can_share_downloadable_presentation": false,
101 "can_share_downloadable_review_link": true,
102 "can_share_unwatermarked_presentation": false,
103 "can_share_unwatermarked_review_link": true
104 },
105 "type": "file",
106 "view_count": 152
107 }
108]
Search for Assets using a JSON payload
Was this page helpful?
Previous

Unversion an Asset

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

Asset search

Response headers

linkstring
Pagination links
page-numberinteger
Current page of results
per-pageinteger
Number of entries per page
totalinteger
Total entries across all pagess
total-pagesinteger
Number of pages

Response

Assets success response
object

Errors

401
Unauthorized Error